import {
  // PartialExcept,
  // PartialOnly,
  updateObject,
  // Without,
} from '.';

type Original = {
  propA: string,
  propB: number,
  propC: {
    propD: string,
    propE: boolean,
  },
};

// type tPartial = Partial<Original>;
// type tPartialOnly = PartialOnly<Original, 'propA' | 'propB'>;
// type tPartialExcept = PartialExcept<Original, 'propA' | 'propB'>;
// type tPick = Pick<Original, 'propA' | 'propB'>;
// type tWithout = Without<Original, 'propC'>;

describe('test updateObject', () => {

  const original: Original = {
    propA: 'hello',
    propB: 0,
    propC: {
      propD: 'good bye',
      propE: true,
    },
  };

  const update = {
    propA: 'world',
  };

  test('updates property', () => {
    const updated = updateObject(original, update);
    expect(updated.propA).toEqual('world');
  });
});
